<template>
  <div id="footer_second" class=" pt-5 pb-1">
    <div class="container" id="deu">
      <div class="row flex-column flex-md-row">
        <div class="col-md pl-0">
          <div class="">
            <a href="https://european-union.europa.eu/index_en" class="" aria-label="European Union">
              <eu-icon :locale="locale"></eu-icon>
            </a>
            <div class="my-3">
              <p>{{ $t('message.footertop.DiscoverMoreOn') }} <a href="https://europa.eu/"
                                                                 target="_blank">europa.eu</a></p>
            </div>
          </div>
        </div>
        <div class="px-0 px-md-2 col-md">
          <div class="region region-footer-first-middle">
            <div class="clearfix">
              <h2>
                <div class="region-footer-first-middle-headline">
                  {{ $t('message.footertop.contactEU') }}
                </div>
              </h2>
              <div class="more-services footer-top-bottom-list d-flex">

                <div class="p-0">
                  <p>{{ $t('message.footertop.Callus') }} <a href="tel:00 800 6 7 8 9 10 11"
                                                             target="_blank">00 800 6 7 8 9 10
                    11</a><br>
                    {{ $t('message.footertop.UseOther') }} <a
                      href="https://european-union.europa.eu/contact-eu/call-us_en"
                      target="_blank">{{ $t('message.footertop.telephoneOptions') }}</a><br>
                    {{ $t('message.footertop.WriteUsViaOur') }} <a
                      href="https://european-union.europa.eu/contact-eu/write-us_en"
                      target="_blank">{{ $t('message.footertop.ContactForm') }}</a><br>
                    {{ $t('message.footertop.MeetUsAtOneOfThe') }} <a
                      href="https://european-union.europa.eu/contact-eu/meet-us_en"
                      target="_blank">{{ $t('message.footertop.EUcentres') }}</a></p>
                </div>

              </div>
            </div>
          </div>

        </div>

        <div class="px-0 px-md-2 col-md">
          <div class="region region-footer-first-right">
            <div class="region region-footer-first-middle">
              <div class="clearfix">
                <h2>
                  <div class="region-footer-first-middle-headline">
                    {{ $t('message.footertop.SocialMedia') }}
                  </div>
                </h2>
                <div class="more-services footer-top-bottom-list d-flex">

                  <div class="p-0">
                    <p>{{ $t('message.footertop.SearchForEU') }} <a
                      href="https://european-union.europa.eu/contact-eu/social-media-channels_en"
                      target="_blank">{{ $t('message.footertop.SocialMediaChannels') }}</a></p>
                  </div>

                </div>
              </div>
            </div>
            <div class="clearfix" >
              <h2>
                <div class="region-footer-first-middle-headline region-footer-first-middle-headline-second" >
                  {{ $t('message.footertop.EUInstitutions') }}
                </div>
              </h2>
              <a
                href="https://european-union.europa.eu/institutions-law-budget/institutions-and-bodies/search-all-eu-institutions-and-bodies_en"
                class="p-0">{{ $t('message.footertop.SearchallEUinstitutionsandbodies') }}</a>
            </div>
          </div>
        </div>
      </div>

    </div>
  </div>
</template>

<script>
import EuIcon from '../header/EuIcon.vue';

export default {
  name: 'FooterTopBottom',
  components: {
    // AppLink,
    // AccessLinkIcon,
    EuIcon
  },
  props: {
    useLogin: {
      type: [Boolean, String],
      default: false,
    },
    authenticated: {
      type: Boolean,
      default: false,
    },
    login: {
      type: String,
      default: '/login',
    },
    loginTitle: {
      type: String,
      default: 'Login',
    },
    logout: {
      type: String,
      default: '/logout',
    },
    logoutTitle: {
      type: String,
      default: 'Logout',
    },
  },
  computed: {

    locale() {
      return this.$route.query.locale;
    }
  },
  data() {
    return {
      resources: 'https://ec.europa.eu/info/resources-partners_en',
      cookies: 'https://ec.europa.eu/info/cookies_en',
      languagePolicy: 'https://ec.europa.eu/info/languages-our-websites_en',
      legalNotice: 'https://ec.europa.eu/info/legal-notice_en',
      privacyPolicy: 'https://ec.europa.eu/info/privacy-policy_en'
    };
  },
};
</script>

<style lang="scss" scoped>
@import '../../styles/footer-first.scss';

h2 {
  font: normal normal 400 1.75rem/2rem arial, sans-serif;
}

#footer_first {
  font: normal normal 400 1rem/1.25rem arial, sans-serif;
}

#footer_second {
  .region-footer-first-middle-headline {
    border-bottom: 1px solid #cfdaf5;
    margin-bottom: 8px;
    padding-bottom: 0.75rem;
  }

}

.footer__logo-image {
  height: 2.75rem;
}

.clearfix {
  display: flex;
  flex-direction: column;

  a {
    color: $primary-lighter !important;
    padding-top: 0.5rem;
  }
}
</style>
